October 22, 2019, 02:36:49 PM

Author Topic: Warcraft Source 0.78 for Counterstrike Source & Global Offensive  (Read 32938 times)

Offline coty9090

  • Level 1 Trained Beginner
  • *
  • Posts: 34
Re: [Release] Warcraft Source 0.78 for Counterstrike Source & Global Offensive
« Reply #90 on: January 28, 2018, 10:34:34 PM »
None of the race skills seem to be working including ultimates. It says i use the ultimate but nothing happens.

Offline Manifest

  • Race & effect creator
  • Moderator
  • Level 7 Expert
  • *****
  • Posts: 1063
  • Country: dk
  • Content creator for the new WCS version by Kami.
Re: [Release] Warcraft Source 0.78 for Counterstrike Source & Global Offensive
« Reply #91 on: January 28, 2018, 10:47:33 PM »
Which version are you currently using, have you upated to the newest version Coty?
"BRAVORA: Bruh it is fucking operation crystal night when you are approving races."


Offline Romero

  • Level 0 Beginner
  • Posts: 16
  • Country: ru
  • Hi there! You're look nice :3
Re: [Release] Warcraft Source 0.78 for Counterstrike Source & Global Offensive
« Reply #92 on: January 28, 2018, 11:17:33 PM »
None of the race skills seem to be working including ultimates. It says i use the ultimate but nothing happens.

Same trouble after updatind to the current version :D


Edit: On the current version of WCS, the blocks for races are now in eventscripts / wcs / races.
This means I should instead of "es_load races" write "es_load wcs/races" in autoexec.cfg. Right?

Upd: Sorry! I just did not read the list of changes above... xD
« Last Edit: January 28, 2018, 11:34:09 PM by Romero »

Offline Manifest

  • Race & effect creator
  • Moderator
  • Level 7 Expert
  • *****
  • Posts: 1063
  • Country: dk
  • Content creator for the new WCS version by Kami.
Re: [Release] Warcraft Source 0.78 for Counterstrike Source & Global Offensive
« Reply #93 on: January 28, 2018, 11:33:49 PM »
Edit: On the current version of WCS, the blocks for races are now in eventscripts / wcs / races.
This means I should instead of "es_load races" write "es_load wcs/races" in autoexec.cfg. Right?

Please, fix the WCS installation guide about this.

Yes, that is completely true, and I will update Kami's post right away, I was also assuming that the races' blocks weren't being loaded judging by your description of your issue, but I needed confirmation on the matter first.

You should use
Code: [Select]
es_load wcs/races and I will be updating this now.

That should fix all your problems, but let me know if you encounter any other issues, regarding races as I will be taking over updating some of the wcs files in the following week. :)

Thank you for notifying us :-)

EDIT:
The post has now been updated.
« Last Edit: January 28, 2018, 11:36:38 PM by Manifest »
"BRAVORA: Bruh it is fucking operation crystal night when you are approving races."


Offline coty9090

  • Level 1 Trained Beginner
  • *
  • Posts: 34
Re: [Release] Warcraft Source 0.78 for Counterstrike Source & Global Offensive
« Reply #94 on: January 28, 2018, 11:46:08 PM »
i'm using the latest version here https://github.com/kamikazekuh/WCS_GO

Offline Muerte

  • Administrator
  • Level 7 Expert
  • *****
  • Posts: 1856
  • Country: be
    • Fortitude
Re: [Release] Warcraft Source 0.78 for Counterstrike Source & Global Offensive
« Reply #95 on: January 28, 2018, 11:48:21 PM »
i'm using the latest version here https://github.com/kamikazekuh/WCS_GO

How does your autoexec.cfg look like atm?
Anyways why you all code so late? Or early? Don't you guys sleep at all?
Sleep? What's that? Just put a wire up your arse and charge while you code during the night. Doesn't all do that, or is it just me??

Offline coty9090

  • Level 1 Trained Beginner
  • *
  • Posts: 34
Re: [Release] Warcraft Source 0.78 for Counterstrike Source & Global Offensive
« Reply #96 on: January 28, 2018, 11:57:30 PM »

sp plugin load es_emulator
sp plugin load wcs
es_load wcs/tools
es_load races

Offline Muerte

  • Administrator
  • Level 7 Expert
  • *****
  • Posts: 1856
  • Country: be
    • Fortitude
Re: [Release] Warcraft Source 0.78 for Counterstrike Source & Global Offensive
« Reply #97 on: January 28, 2018, 11:59:08 PM »
if you are running the latest version, you may want to try and change that to es_load wcs/races and see if that helps

@Kami, is there a reason why its not loaded automatically and we need to specify this in autoexec (same for tools btw)?
Anyways why you all code so late? Or early? Don't you guys sleep at all?
Sleep? What's that? Just put a wire up your arse and charge while you code during the night. Doesn't all do that, or is it just me??

Offline coty9090

  • Level 1 Trained Beginner
  • *
  • Posts: 34
Re: [Release] Warcraft Source 0.78 for Counterstrike Source & Global Offensive
« Reply #98 on: January 29, 2018, 12:04:58 AM »
After updating everything to the very latest versions (Source-Python, WCS, ES Emu) my wcs no longer loads and i'm getting this console error.

[Spoiler]
[SP] Loading plugin 'wcs'...

[SP] Caught an Exception:
Traceback (most recent call last):
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 2074, in _wrap_pool_connect
    return fn()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\pool.py", line 376, in connect
    return _ConnectionFairy._checkout(self)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\pool.py", line 713, in _checkout
    fairy = _ConnectionRecord.checkout(pool)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\pool.py", line 480, in checkout
    rec = pool._do_get()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\pool.py", line 1151, in _do_get
    return self._create_connection()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\pool.py", line 323, in _create_connection
    return _ConnectionRecord(self)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\pool.py", line 449, in __init__
    self.connection = self.__connect()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\pool.py", line 607, in __connect
    connection = self.__pool._invoke_creator(self)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\strategies.py", line 97, in connect
    return dialect.connect(*cargs, **cparams)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\default.py", line 385, in connect
    return self.dbapi.connect(*cargs, **cparams)
sqlite3.OperationalError: unable to open database file

The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "..\addons\source-python\packages\source-python\plugins\command.py", line 162, in load_plugin
    plugin = self.manager.load(plugin_name)
  File "..\addons\source-python\packages\source-python\plugins\manager.py", line 193, in load
    plugin._load()
  File "..\addons\source-python\packages\source-python\plugins\instance.py", line 74, in _load
    self.module = import_module(self.import_name)
  File "..\addons\source-python\plugins\wcs\wcs.py", line 52, in <module>
    from wcs.database import database
  File "..\addons\source-python\plugins\wcs\database.py", line 47, in <module>
    if not engine.dialect.has_table(engine, 'Players'):
  File "..\addons\source-python\packages\site-packages\sqlalchemy\dialects\sqlite\base.py", line 1139, in has_table
    connection, "table_info", table_name, schema=schema)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\dialects\sqlite\base.py", line 1480, in _get_table_pragma
    cursor = connection.execute(statement)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1990, in execute
    connection = self.contextual_connect(close_with_result=True)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 2039, in contextual_connect
    self._wrap_pool_connect(self.pool.connect, None),
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 2078, in _wrap_pool_connect
    e, dialect, self)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 1405, in _handle_dbapi_exception_noconnection
    exc_info
  File "..\addons\source-python\packages\site-packages\sqlalchemy\util\compat.py", line 202, in raise_from_cause
    reraise(type(exception), exception, tb=exc_tb, cause=cause)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\util\compat.py", line 185, in reraise
    raise value.with_traceback(tb)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\base.py", line 2074, in _wrap_pool_connect
    return fn()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\pool.py", line 376, in connect
    return _ConnectionFairy._checkout(self)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\pool.py", line 713, in _checkout
    fairy = _ConnectionRecord.checkout(pool)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\pool.py", line 480, in checkout
    rec = pool._do_get()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\pool.py", line 1151, in _do_get
    return self._create_connection()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\pool.py", line 323, in _create_connection
    return _ConnectionRecord(self)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\pool.py", line 449, in __init__
    self.connection = self.__connect()
  File "..\addons\source-python\packages\site-packages\sqlalchemy\pool.py", line 607, in __connect
    connection = self.__pool._invoke_creator(self)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\strategies.py", line 97, in connect
    return dialect.connect(*cargs, **cparams)
  File "..\addons\source-python\packages\site-packages\sqlalchemy\engine\default.py", line 385, in connect
    return self.dbapi.connect(*cargs, **cparams)

sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) unable to open database file
« Last Edit: January 29, 2018, 12:08:32 AM by coty9090 »

Offline Muerte

  • Administrator
  • Level 7 Expert
  • *****
  • Posts: 1856
  • Country: be
    • Fortitude
Re: [Release] Warcraft Source 0.78 for Counterstrike Source & Global Offensive
« Reply #99 on: January 29, 2018, 12:13:33 AM »
Just to be sure, could you set the file permissions to 755 for the database files found under  /addons/source-python/plugins/wcs/data/ ?

Edit: I wonder if we could do this automatically using a python command like os.chmod ?
« Last Edit: January 29, 2018, 12:23:07 AM by Muerte »
Anyways why you all code so late? Or early? Don't you guys sleep at all?
Sleep? What's that? Just put a wire up your arse and charge while you code during the night. Doesn't all do that, or is it just me??

Offline coty9090

  • Level 1 Trained Beginner
  • *
  • Posts: 34
Re: [Release] Warcraft Source 0.78 for Counterstrike Source & Global Offensive
« Reply #100 on: January 29, 2018, 12:23:06 AM »
Did not work

Offline Manifest

  • Race & effect creator
  • Moderator
  • Level 7 Expert
  • *****
  • Posts: 1063
  • Country: dk
  • Content creator for the new WCS version by Kami.
Re: [Release] Warcraft Source 0.78 for Counterstrike Source & Global Offensive
« Reply #101 on: January 29, 2018, 12:25:20 AM »

sp plugin load es_emulator
sp plugin load wcs
es_load wcs/tools
es_load races

There have been a response to this earlier and the main post was updated too, you gotta change:
es_load races

To:
es_load wcs/races

This will solve the race part of the issue you will be experiencing later when the other errors are fixed. The errors listed above is Kami's area, and I'm afraid he wont be able to respond as I think he is currently asleep. But knowing him you will have some solid feedback within a reasonable time :)
« Last Edit: January 29, 2018, 12:31:11 AM by Manifest »
"BRAVORA: Bruh it is fucking operation crystal night when you are approving races."


Offline Muerte

  • Administrator
  • Level 7 Expert
  • *****
  • Posts: 1856
  • Country: be
    • Fortitude
Re: [Release] Warcraft Source 0.78 for Counterstrike Source & Global Offensive
« Reply #102 on: January 29, 2018, 12:42:47 AM »
Did not work
Try to restart the gameserver. Is this a Linux or Windows gameserver?
Anyways why you all code so late? Or early? Don't you guys sleep at all?
Sleep? What's that? Just put a wire up your arse and charge while you code during the night. Doesn't all do that, or is it just me??

Offline Kami

  • Developer
  • Level 7 Expert
  • *****
  • Posts: 889
  • Country: de
  • Pokemon Master!
Re: [Release] Warcraft Source 0.78 for Counterstrike Source & Global Offensive
« Reply #103 on: January 29, 2018, 06:24:39 AM »
Are you by any chance using Counterstrike Source?

If so go to wcs_core.cfg and change:

Code: [Select]
wcs_database_connectstring "sqlite:///csgo/addons/source-python/plugins/wcs/data/players.db"
to

Code: [Select]
wcs_database_connectstring "sqlite:///cstrike/addons/source-python/plugins/wcs/data/players.db"

Offline coty9090

  • Level 1 Trained Beginner
  • *
  • Posts: 34
Re: [Release] Warcraft Source 0.78 for Counterstrike Source & Global Offensive
« Reply #104 on: February 01, 2018, 05:41:59 AM »
Are you by any chance using Counterstrike Source?

If so go to wcs_core.cfg and change:

Code: [Select]
wcs_database_connectstring "sqlite:///csgo/addons/source-python/plugins/wcs/data/players.db"
to

Code: [Select]
wcs_database_connectstring "sqlite:///cstrike/addons/source-python/plugins/wcs/data/players.db"

oh man... yes, this was it  ::) Thanks!
Some race skills are working now, but others aren't working for me even after setting es_load wcs/races including ultimates.
« Last Edit: February 01, 2018, 06:13:38 AM by coty9090 »